Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class Counter

    java.lang.Object
      org.pentaho.di.core.Counter

    public class Counter

extends Object

Is used to keep the state of sequences / counters throughout a single session of a Transformation, but across Steps.

Since:
  13-05-2003
Author:
  Matt

Constructor Summary
`Counter()`
`Counter(long start)`
`Counter(long start, long increment)`
`Counter(long start, long increment, long maximum)`

Method Summary
`long` | `getCounter()`
`long` | `getIncrement()`
`long` | `getMaximum()`
`long` | `getStart()`
`boolean` | `isLoop()`
`long` | `next()`
`void` | `setCounter(long counter)`
`void` | `setIncrement(long increment)`
`void` | `setLoop(boolean loop)`
`void` | `setMaximum(long maximum)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Counter

    public Counter()

### Counter

    public Counter(long start)

### Counter

    public Counter(long start,
                   long increment)

### Counter

    public Counter(long start,
                   long increment,
                   long maximum)

Method Detail

### getCounter

    public long getCounter()

  Returns:
    Returns the counter.

### getIncrement

    public long getIncrement()

  Returns:
    Returns the increment.

### getMaximum

    public long getMaximum()

  Returns:
    Returns the maximum.

### getStart

    public long getStart()

  Returns:
    Returns the start.

### isLoop

    public boolean isLoop()

  Returns:
    Returns the loop.

### setCounter

    public void setCounter(long counter)

  Parameters:
    `counter` - The counter to set.

### setIncrement

    public void setIncrement(long increment)

  Parameters:
    `increment` - The increment to set.

### setLoop

    public void setLoop(boolean loop)

  Parameters:
    `loop` - The loop to set.

### setMaximum

    public void setMaximum(long maximum)

  Parameters:
    `maximum` - The maximum to set.

### next

    public long next()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD